Index Source Files Annotated Class List Alphabetical Class List Class Hierarchy Graphical Class Hierarchy

# FIX::SocketSendFailed Struct Reference

Socket send operation failed. More...

`#include <Exceptions.h>`

Inheritance diagram for FIX::SocketSendFailed:
[legend]
Collaboration diagram for FIX::SocketSendFailed:
[legend]

List of all members.

## Public Member Functions

| SocketSendFailed ()
| SocketSendFailed (const std::string &what)

## Detailed Description

Socket send operation failed.

Definition at line 272 of file Exceptions.h.

## Constructor & Destructor Documentation

FIX::SocketSendFailed::SocketSendFailed | ( |  | ) | `[inline]`

Definition at line 274 of file Exceptions.h.

    00274 {}

FIX::SocketSendFailed::SocketSendFailed | ( | const std::string & | what | ) | `[inline]`

Definition at line 275 of file Exceptions.h.

    00276     : SocketException( what ) {}

The documentation for this struct was generated from the following file:

- /home/omiller/Development/autobuild/quickfix/src/C++/Exceptions.h